curl
curl -X GET 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_number": "<string>",
"report_type_display": "<string>",
"report_code": "<string>",
"report_number": "<string>",
"status_display": "<string>",
"jurisdiction": "<string>",
"rentity_id": "<string>",
"rentity_branch": "<string>",
"entity_reference": "<string>",
"fiu_ref_number": "<string>",
"currency_code_local": "<string>",
"submission_date": "2023-11-07T05:31:56Z",
"reporting_person": {},
"location": {},
"reason": "<string>",
"action": "<string>",
"activity": "<string>",
"narrative": {
"who": "<string>",
"what": "<string>",
"when": "<string>",
"where": "<string>",
"why": "<string>",
"how": "<string>"
},
"report_indicators": [
"<string>"
],
"included_fields": [
"<string>"
],
"transactions": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"validation_errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"validated_at": "2023-11-07T05:31:56Z",
"finalized_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>",
"created_by_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Regulatory Reports
List Reports
Application-wide FIU report list, optionally filtered by status, report_type, or case.
GET
/
v3
/
organization
/
{organization_id}
/
application
/
{application_id}
/
regulatory-reports
/
curl
curl -X GET 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_number": "<string>",
"report_type_display": "<string>",
"report_code": "<string>",
"report_number": "<string>",
"status_display": "<string>",
"jurisdiction": "<string>",
"rentity_id": "<string>",
"rentity_branch": "<string>",
"entity_reference": "<string>",
"fiu_ref_number": "<string>",
"currency_code_local": "<string>",
"submission_date": "2023-11-07T05:31:56Z",
"reporting_person": {},
"location": {},
"reason": "<string>",
"action": "<string>",
"activity": "<string>",
"narrative": {
"who": "<string>",
"what": "<string>",
"when": "<string>",
"where": "<string>",
"why": "<string>",
"how": "<string>"
},
"report_indicators": [
"<string>"
],
"included_fields": [
"<string>"
],
"transactions": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"validation_errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"validated_at": "2023-11-07T05:31:56Z",
"finalized_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>",
"created_by_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
List reports app-wide, the same data behind the Console’s standalone Reports page. This is the endpoint to poll for a queue of DRAFT reports awaiting validation and finalization.
Related
Authorizations
Path Parameters
Organization UUID.
Application UUID.
Query Parameters
Page size.
Required range:
x >= 1Zero-based offset.
Required range:
x >= 0Filter by status.
Available options:
DRAFT, VALIDATED, FINALIZED Filter by report type.
Available options:
SAR, STR, CTR, TTR, UTR, IFT, CBR, TFR Filter to reports on this case.
⌘I